## selectors34 1.2.0

=== Makefile ===
testenv:
	pip install -e .
	pip install -r requirements-dev.txt

release:
	python setup.py sdist bdist_wheel upload -r pypi

register:
	python setup.py register -r pypi

# Test it via `pip install -i https://testpypi.python.org/pypi <project_name>`
test-release:
	python setup.py sdist bdist_wheel upload -r test

test-register:
	python setup.py register -r test

clean:
	@find . -name "*.pyc" -exec rm {} \;
	@rm -rf *.egg-info
	@rm -rf build/ dist/ .tox

.PHONY: clean register test-register release test-release

## selectors34 1.1.0

=== debian/changelog ===
selectors34 (1.1.0-1) unstable; urgency=medium

  * Initial upload (closes: #854122).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 31 Jan 2017 14:49:06 +0000

=== debian/control ===
Source: selectors34
Section: python
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 10), python-all, python3-all,
 python-setuptools, python3-setuptools,
 python-six
Build-Depends-Indep: dh-python
Standards-Version: 3.9.8
Homepage: https://pypi.python.org/pypi/selectors34
X-Python-Version: >= 2.6

Package: python2-selectors34
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: backport of the selectors module from Python 3.4, Python2 module
 This module allows high-level and efficient I/O multiplexing, built upon
 the `select` module primitives.

## selectors34 1.2.0

=== debian/changelog ===
selectors34 (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 4.1.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 30 Sep 2017 19:28:33 +0000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,15 @@
  python-setuptools, python3-setuptools,
  python-six
 Build-Depends-Indep: dh-python
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://pypi.python.org/pypi/selectors34
 X-Python-Version: >= 2.6
 
 Package: python2-selectors34
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
+Provides: ${python:Provides}
+XB-Python-Version: ${python:Versions}
 Description: backport of the selectors module from Python 3.4, Python2 module
  This module allows high-level and efficient I/O multiplexing, built upon
  the `select` module primitives.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME = selectors34
export PYBUILD_DESTDIR_python2=debian/python2-selectors34/

override_dh_clean:
	dh_clean
	rm -rf $(CURDIR)/selectors34.egg-info/

override_dh_install:
	dh_install
	# remove Python3 files
	rm -rf $(PYBUILD_DESTDIR_python2)/usr/lib/python3*

%:
	dh $@ --with python2 --buildsystem=pybuild

.PHONY: override_dh_clean override_dh_install
